<html>
<head>
  <%= csrf_meta_tags %>
</head>
<body onLoad="doSave()">
<%= button_to 'Login', omniauth_authorize_path(resource_class, Avalon::Authentication::VisibleProviders.first[:provider], params.slice(:provider).permit!), form: { name: 'form1' } %>
</body>
<script>
  function doSave() { document.form1.submit() }
</script>
</html>